*** Replication file for Druckman and Rothschild, "Playing with Pain"
*** 17 September 2018
*** NOTE: load "Playing with Pain data (for posting).dta"

** Main Text **

* setting survey weights
svyset [pweight=weight3]

* creating high-injury sport variable
gen injursport = 0
recode injursport 0/0 = 1 if basketball == 1
recode injursport 0/0 = 1 if b_volleyball == 1
recode injursport 0/0 = 1 if f_hockey == 1
recode injursport 0/0 = 1 if football == 1
recode injursport 0/0 = 1 if gymnastics == 1
recode injursport 0/0 = 1 if i_hockey == 1
recode injursport 0/0 = 1 if lacrosse == 1
recode injursport 0/0 = 1 if soccer == 1
recode injursport 0/0 = 1 if volleyball == 1 
recode injursport 0/0 = 1 if w_polo == 1
recode injursport 0/0 = 1 if wrestling == 1
tab injursport

* descriptive statistics
svy: mean gender
estat sd
svy: mean black 
estat sd
svy: mean year 
estat sd
svy: mean scholarship_athletic
estat sd
svy: mean income 
estat sd
svy: mean class 
estat sd
svy: mean injursport
estat sd

svy: tab class
corr class income

corr class university_indiana university_mstate university_northwestern university_ostate university_pstate university_purdue university_rutgers university_illinois university_iowa university_maryland university_michigan university_minnesota university_nebraska university_wisconsin
corr class baseball basketball b_volleyball bowling xcountry diving fencing f_hockey football golf gymnastics i_hockey lacrosse l_rowing pistol rifle rowing soccer softball swimming s_swimming tennis track_field volleyball w_polo wrestling other_sport

svy: tab parent_ed if class == 1
svy: tab parent_ed if class == 2
svy: tab parent_ed if class == 3
svy: tab parent_ed if class == 4
svy: tab parent_ed if class == 5
svy: tab parent_ed if class < 3
svy: tab parent_ed if class > 2

svy: mean pain_report
estat sd
svy: mean pain_report if class < 3
estat sd
svy: mean pain_report if class > 2
estat sd
svy: mean pain_report_how
estat sd
svy: mean pain_report_how if class < 3
estat sd
svy: mean pain_report_how if class > 2
estat sd
ttesti 128 2.13 .90 1258 2.34 .72
prtesti 134 .70 1282 .84

* Table 1
svy: oprobit pain_initial class scholarship_athletic gender black year income injursport 
svy: oprobit pain_recovery class scholarship_athletic gender black year income injursport 
svy: probit pain_report class scholarship_athletic gender black year income injursport 
svy: oprobit pain_report_how class scholarship_athletic gender black year income injursport

* Predicted values for Table 1
estsimp oprobit pain_initial class scholarship_athletic gender black year income injursport [pweight = weight3]
setx gender .45 black .09 year 2.49 scholarship_athletic .53 income 3.67 class 3.53 injursport .51
simqi
setx class 2
simqi
setx class 4
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10

estsimp probit pain_report class scholarship_athletic gender black year income injursport [pweight = weight3]
setx gender .45 black .09 year 2.49 scholarship_athletic .53 income 3.67 class 3.53 injursport .51
simqi
setx class 1
simqi
setx class 2
simqi
setx class 3
simqi
setx class 4
simqi
setx class 5
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8

estsimp oprobit pain_report_how class scholarship_athletic gender black year income injursport [pweight = weight3]
setx gender .45 black .09 year 2.49 scholarship_athletic .53 income 3.67 class 3.53 injursport .51
simqi
setx class 1
simqi
setx class 2
simqi
setx class 3
simqi
setx class 4
simqi
setx class 5
simqi
drop b1 b2 b3 b4 b5 b6 b7 b8 b9 b10

* Table 2
svy: oprobit perform_imp class scholarship_athletic gender black year income injursport
svy: oprobit desire class scholarship_athletic gender black year income injursport
svy: oprobit anxiety class scholarship_athletic gender black year income injursport 

* Table 3
svy: oprobit hardlife class scholarship_athletic gender black year  income injursport
svy: oprobit pain_tolerate class scholarship_athletic gender black year  income injursport

svy: oprobit expect_coaches class scholarship_athletic gender black year  income injursport
svy: oprobit expect_family_friends class scholarship_athletic gender black year  income injursport

** Appendix **

* Table A-1 
svy: mean university_indiana university_mstate university_northwestern university_ostate university_pstate university_purdue university_rutgers university_illinois university_iowa university_maryland university_michigan university_minnesota university_nebraska university_wisconsin
estat sd

* Table A-2
svy: mean baseball basketball b_volleyball bowling xcountry diving fencing f_hockey football golf gymnastics i_hockey lacrosse l_rowing pistol rifle rowing soccer softball swimming s_swimming tennis track_field volleyball w_polo wrestling other_sport
estat sd

* Table A-3
gen lower = class
recode lower 1/1 = 1 2/5 = 0
gen working = class
recode working 1/1 = 0 2/2 = 1 3/5 = 0
gen middle = class
recode middle 1/2 = 0 3/3 = 1 4/5 = 0
gen upmid = class
recode upmid 1/3 = 0 4/4 = 1 5/5 = 0
gen upper = class
recode upper 1/4 = 0 5/5 = 1

svy: probit pain_report  scholarship_athletic gender black year  income injursport lower working middle upper
svy: oprobit pain_report_how scholarship_athletic gender black year  income injursport lower working middle upper

* Table A-4
svy: probit pain_report class scholarship_athletic gender black year income injursport perform_imp desire anxiety hardlife pain_tolerate expect_coaches expect_family_friends
svy: oprobit pain_report_how class scholarship_athletic gender black year income injursport perform_imp desire anxiety hardlife pain_tolerate expect_coaches expect_family_friends
